:PROPERTIES:
:ID:       effa2bf5-8b04-42d3-b9c1-17160dc4ddc2
:END:
#+title: Actual
#+filetags: :server:self-hosting:finance:

In order to update the balance, I have decided for the moment to export as ~csv~ the monthly transactions from Halifax. Place the file into the ~~/master-folder/attachments/bank-statements/~ folder and name it as ~halifax-YYYY-MM.csv~, where ~YYYY~ is the four-digit year and ~MM~ is the two-digit month.

Then run the following command in the terminal whilst being in the ~~/master-folder/projects/scripts/~ directory:

#+begin_src python
  python3 clean-halifax-actual.py ../../attachments/bank-statements/halifax-YYYY-MM.csv ../../attachments/bank-statements/halifax-YYYY-MM-cleaned.csv

#+end_src

Then you can go to the website ~https://actual.zainezq.com/~ and upload the cleaned file to update the balance.
